/* @import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"); */

@font-face {
  font-family: "CustomFont";
  src: url("./ProximaNova-Regular.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
}
* {
  margin: 0px 3px 0px 0px;
  padding: 0;
  box-sizing: border-box;
  font-family: "CustomFont";
  font-style: normal;
  font-size: large;
}
.total {
  display: flex;
  flex-direction: column;
}
body {
  min-height: 100vh;
  justify-content: flex-start;
  align-items: center;
  /* background-color: #e3f2fd; */
  background: linear-gradient(#e3f2fd, #c0dbf1);
}

.container {
  display: flex;
  justify-content: center;
  flex-direction: column;
  position: absolute;

  width: 100%;
  margin: 20px 60px;
}
.inputcontainer {
  margin: auto;
  width: 680px;
  justify-content: center;
}
#connect {
  margin-top: 15px;
  margin-left: auto;
  margin-right: auto;
  padding: 10px 22px;
  border: 2px solid #6e93f7;
  border-radius: 6px;
  background: #6e93f7;
  transition: all 0.2s ease;
  cursor: pointer;
  font-size: 17px;
  font-weight: 600;
  color: #333;
  display: block;
}
#connect:active {
  transform: scale(0.96);
}
/* .connected {
  font-weight: 200;
  color: #e22727;
  background-color: rgb(8, 210, 66);
  border-color: rgb(63, 255, 0);
} */
input {
  position: absolute;
  padding: 25px;
  width: 80%;
  height: 100%;
  outline: none;
  font-size: 2.2em;
  line-height: 50px;
  border-radius: 7px;
  border: 1.5px solid #000000;
  background: none;
  z-index: 1111;
}
.labelline {
  position: absolute;
  font-size: 1em;
  color: #000000;
  left: 1rem;
  top: 0.8rem;
  padding: 0 0.5rem;
  margin: 0 10px;
  transition: top 200ms ease, left 200ms ease, font-size 200ms ease,
    font-weight 100ms ease;
  background-color: transparent;
}
input:focus,
input:valid {
  color: #000000;
  border: 2px solid #000000;
  letter-spacing: 1px;
  font-weight: 300;
  font-size: 1.1em;
}
input:focus + .labelline,
input:valid + .labelline {
  color: #000000;
  top: -0.6rem;
  font-size: 0.9rem;
  font-weight: 300;
  left: 0.1rem;
  background-color: #e3f2fd;
  padding: 0px 10px;
  z-index: 1111;
}
.entryarea {
  position: relative;
}

.select-btn {
  display: flex;
  margin-top: 10px;
  height: 50px;
  align-items: center;
  padding: 0 16px;
  justify-content: space-between;
  border-radius: 5px;
  cursor: pointer;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  position: relative;
}
.select-btn .btn-text {
  font-size: 17px;
  font-weight: 400;
  color: #333;
}
.input-text {
  color: #333;
}
.select-btn .arrow-dwn {
  margin-left: 3px;
  display: flex;
  height: 21px;
  width: 21px;
  border-radius: 50%;
  background: #6e93f7;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-size: 14px;
  transition: 0.3s;
  position: relative;
}
.z0 {
  z-index: 0;
}
.z1111 {
  z-index: 1111;
}
.z999 {
  z-index: 999;
}
.select-btn.open .arrow-dwn {
  transform: rotate(-180deg);
}
.list-items {
  position: absolute;
  margin-top: 25px;
  border-radius: 5px;
  padding: 2px;
  background-color: #fff;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  display: none;
  z-index: 999;
  top: 120px;
  max-height: 200px;
  overflow-y: auto;
  width: 160px;
}
.line {
  border-bottom: 2px solid#626060;
}

.select-btn.open ~ .list-items {
  display: block;
}

.list-items .item {
  display: flex;
  align-items: center;
  list-style: none;
  height: 50px;
  cursor: pointer;
  transition: 0.3s;
  padding: 0 15px;
  border-radius: 5px;
}
.list-items .item:hover {
  background-color: #e7edfe;
}

.item .item-text {
  font-size: 16px;
  font-weight: 400;
  color: #333;
}
.item .checkbox {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 16px;
  width: 16px;
  border-radius: 4px;
  margin-right: 12px;
  border: 1.5px solid#c0c0c0;
  transition: all 0.3s ease-in-out;
}
.item.checked .checkbox {
  background-color: #4070f4;
  border-color: #4070f4;
}

.checkbox .check-icon {
  color: #fff;
  font-size: 11px;
  transform: scale(0);
  transition: all 0.2s ease-in-out;
}
.item.checked .check-icon {
  transform: scale(1);
}
.dt-checkbox .check-icon {
  border-radius: 2px;
  color: #4070f4;
  font-size: 18px;
  transform: scale(0);
  transition: all 0.2s ease-in-out;
}
.item.checked .check-icon {
  transform: scale(1);
}
.item .dt-checkbox {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 18px;
  width: 18px;
  border-radius: 9px;
  margin-right: 12px;
  border: 1.5px solid#c0c0c0;
  transition: all 0.3s ease-in-out;
}
.item.checked .dt-checkbox {
  background-color: #fff;
  border-color: #fff;
}
.input-divider {
  border: none;
  margin: 40px 0;
}
.input-container {
  margin-bottom: 10px;
}

.input-container label {
  position: absolute;
  top: 50%;
  left: 0;

  transform: translateY(-50%);
  pointer-events: none;
  color: #888;
}

.input-container input {
  padding-left: 120px;
}
/* ////////////////////// */
.input-container {
  position: relative;
}

.input-container input {
  padding-top: 50px;
}

.input-container label {
  position: absolute;
  top: 0;
  left: 0;
  padding: 20px;
  pointer-events: none;
  color: #888;
  transition: all 0.3s ease;
}

.input-container input:focus + label,
.input-container input:not(:placeholder-shown) + label {
  top: -20px;
  font-size: 0.8em;
  color: #333;
}

.scrollable-div-label {
  margin: auto;
  justify-content: space-between;
  display: flex;
  width: 60%;
  padding: 5px 10px;

  /* background-color: #6e93f7; */
  border-radius: 5px 5px 0px 0px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  background: linear-gradient(
    to right,
    #6e93f7,
    rgb(157, 201, 233) 50%,
    #6e93f7
  );
}

.scrollable-div-label span {
  font-weight: 400;
  font-size: 1.5rem;
  margin-left: 20px;
}
.scrollable-div-label button {
  align-self: center;
  padding: 0px 4px;
  border-radius: 6px;
  transition: all 0.2s ease;
  cursor: pointer;
  font-size: 17px;
  font-weight: 700;
  color: #333;
  margin-right: 20px;
  border: 1.5px solid #3d518c;
  background-color: #ffffffe0;
}
.scrollable-div-label button:hover {
  color: white;
  background-color: #00000090;

  border-color: #3b3a5890;
}
#download {
  position: absolute;
  right: 28%;
  top: 280px;
  width: 27px;
  border-radius: 6px;
  margin: 0;
  height: 25px;
  border: 1.5px solid #3d518c;
  cursor: pointer;
  align-self: center;
  opacity: 0.9;
  background-image: url("./components/download.png");
  background-size: contain;
  transition: background-image 0s ease-in-out;
}
#download:hover {
  background-image: url("./components/download-active.jpg");
}
.scrollable-div {
  margin-bottom: 0px;
  width: 60%;
  height: 60vh;
  overflow-y: auto;
  scroll-behavior: smooth;
  padding: 20px;
  border-radius: 0px 0px 5px 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
  overflow-x: hidden;
  background: linear-gradient(#ffffff, #ebf3f8);
}
.search-container {
  position: absolute;
  left: 28%;
  display: flex;
  /* margin-bottom: 20px; */
}

.search-container input {
  position: absolute;
  width: 20%;
  max-width: 300px;
  min-width: 250px;
  top: 11px;
  left: 30%;
  height: 3%;
  padding: 12px;
  font-size: 0.9rem;
  margin-bottom: 20px;
  border: 2px solid #c4d2f8;
  border-radius: 5px;
  color: white;
  font-weight: bold;
  z-index: 0;
}

.search-container input:focus {
  border-color: white;
}
.scrollable-div p {
  font-weight: 300;
  border-radius: 4px;
  word-wrap: break-word;
  padding: 4px;
  margin: 4px 0px;
}
.search-container img {
  position: absolute;
  left: 220px;
  top: 12.5px;
  width: 25px;
  height: auto;
}
.scrollable-div .highlight {
  background-color: yellow;
  margin: 0;
}
.title {
  padding: 2px;
  width: 100%;
  height: 25px;
  border-top: 3px solid black;
  border-radius: 4px 4px 0 0;
  background-color: #e5e6ed;
}
.start span {
  font-size: 15px;
  font-weight: 300;
  background-color: #ffffff;
  margin: 0px 10px 0px 0px;
  padding: 1px 6px;
  border-radius: 4px;
}
strong {
  font-weight: 300;
}
p.start {
  width: auto;
  margin: 0;
  line-height: 25px;
  border-radius: 0 0 4px 4px;
  background-color: #e5e6ed;
}
.DEBUG {
  background-color: rgb(251, 253, 213);
}
.INFO {
  background-color: #d7e1fc;
}
.WARN {
  background-color: rgb(253, 213, 170);
}
.ERROR {
  background-color: rgb(252, 186, 186);
}
.Connected {
  display: flex;
  justify-content: center;
  color: rgb(50, 50, 50);
  font-size: 20px;
  border-top: 3px solid black;
  /* background-color: rgb(138, 248, 153); */
}
.Disconnected {
  display: flex;
  justify-content: center;
  color: rgb(50, 50, 50);
  font-size: 20px;
  border-top: 3px solid black;
  /* background-color: rgb(227, 117, 117); */
}
.ip-address-container {
  font-size: large;
  position: absolute;
  top: 2%;
  left: 50%;
  transform: translateX(-320%);
}
.ip-address-container p {
  font-weight: 300;
}
.window-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.window-container > div {
  margin-top: 10px;
}
.window-container .down {
  position: absolute;
  bottom: 5lvw;
  right: 18.5%;
  display: flex;
  height: 25px;
  width: 25px;
  border-radius: 50%;
  background: #6e93f7;
  color: #fff;
  transition: all 0.2s ease;
  cursor: pointer;
}
.window-container .down:active {
  transform: scale(0.9);
}

.dropdowns-container {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}
.svg-inline--fa {
  margin: 0;
}
.dropdown-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-right: 10px;
  margin-top: -10px;
}
.checked-items-container {
  margin: auto;
  display: flex;
  justify-content: center;
}
.checked-items-container span {
  font-size: 0.9rem;
  font-weight: 300;
}
.checked-items-container div {
  border-radius: 5px;
  margin: 10px 5px 0px 5px;
  padding: 5px 10px 10px 10px;
  background-color: #fff;
}
.checked-items-container li {
  font-size: 15px;
  font-weight: 300;
  background-color: #f9f3cc;
  margin: 4px 10px 4px 0px;
  padding: 4px 9px;
  border-radius: 3px;
  display: inline;
  list-style: none;
}

.hidden {
  display: none;
}
.err {
  padding: 5px;
  background-color: rgb(249, 176, 176);
  border: 1px solid red;
  border-radius: 3px;
  margin: 10px auto;
}
.err span {
  padding: 0px 20px;
  font-size: 1.2rem;
  font-weight: 300;
}
.modal {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
}
.modal-content {
  background-color: white;
  padding: 20px;
  border-radius: 5px;
  text-align: center;
}

.modal-button {
  margin: 10px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
}

.logo {
  position: absolute;
  width: 70px;
  height: auto;
  top: 2%;
  left: 1.5%;
}

.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.9rem;
  background-color: #3d518c;
  position: fixed;
  width: 100%;
  bottom: 0;
  left: 0;
  color: #fff;
}

.footer-left,
.footer-right {
  display: flex;
  font-size: medium;
  align-items: center;
}

.footer-right a {
  color: #fff;
  font-size: medium;
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  text-decoration: none;
}

.footer-right a:hover {
  text-decoration: underline;
}
body,
html {
  overflow-x: hidden;
}
